package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.OrderTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class StudentPayInfoDto {

    private String name;

    @ApiModelProperty(value = "订单类型",required = true)
    private OrderTypeEnum type;

    @ApiModelProperty(value = "实际金额",required = true)
    private BigDecimal actualAmount;

    private Date createTime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public OrderTypeEnum getType() {
        return type;
    }

    public void setType(OrderTypeEnum type) {
        this.type = type;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
